<<< Previous |  | Next >>>

# mail::ACCOUNT::saveFolderIndexInfo

## Name

mail::ACCOUNT::saveFolderIndexInfo -- Update message status

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;

``bool ok=->`saveFolderIndexInfo``(size_t `messageNum`, const messageInfo &`msgInfo`);`

std::string errmsg=mail->getErrmsg();

## USAGE

`mail::ACCOUNT::saveFolderIndexInfo` changes the status of a message. `messageNum` must be between zero and one less than the return code from mail::ACCOUNT::getFolderIndexSize(3x). `msgInfo` contains the new status flags for this message. See mail::ACCOUNT::getFolderIndexInfo(3x) for a description of message status flags.

NOTE: | The `uid` field in `msgInfo` is ignored. The message is specified by `messageNum`, and unique IDs of existing messages cannot be changed.

## Return Codes

This method returns `true` if it succeeds, or `false` if it fails. If the method fails, use `mail::ACCOUNT::getErrmsg()` to read a brief description of the error.

## SEE ALSO

mail::ACCOUNT::updateFolderIndexFlags(3x), mail::ACCOUNT::updateFolderIndexInfo(3x), mail::ACCOUNT::getFolderIndexInfo(3x), mail::ACCOUNT::updateKeywords(3x).

<<< Previous | Home | Next >>>
mail::ACCOUNT::renameFolder | Up | mail::ACCOUNT::searchMessages